package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目成员对象 project_member
 *
 * @author ruoyi
 * @date 2025-02-28
 */
@Data
public class ProjectMember extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id 关联项目管理表主键id */
    private Long projectId;

    /** 用户id关联用户表主键id */
    private Long userId;

    @TableField(exist = false)
    private String employName;

    @TableField(exist = false)
    private Integer employId;

    @TableField(exist = false)
    private String projectNumber;
}
